scsitools (0.12-3ubuntu1) bionic; urgency=low

  * Merge from Debian Sid. Remaining changes:
    - add debian/patches/01_ubuntu-toolchain.diff, fix FTBFS caused by
      -D_FORTIFY_SOURCE=2 compiler flag enabled in Ubuntu.
  * Dropped changes that are now in Debian:
    - debian/control, debian/rules: Split out tk_scsiformat into its own
      package so we don't pull in X server on the server.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 18 Feb 2018 23:18:41 -0600

scsitools (0.12-3) unstable; urgency=medium

  * QA upload.
  * Orphan package, no maintainer activity in 5+ years.
  * Add debian/patches/udevadm-use-PATH.patch (Closes: #852578)
  * Add Recommends e2fsprogs (Closes: #887253)
    - possibly used by tk_scsiformat and also init scripts.
  * Bump to debhelper compat 9, since anything before is deprecated.
  * Drop manual quilt usage in debian/rules (and build-dep)
    - package already is using source format '3.0 (quilt)'.
  * Modernize/simplify debian/rules
    - use dh override_* style overrides.
    - use debian/clean, debian/manpages, debian/docs instead of command
      line overrides.
  * Fix 'in in' typo in debian/README.Debian as pointed out by lintian.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 17 Jan 2018 15:11:13 +0100

scsitools (0.12-2.3ubuntu1) yakkety; urgency=medium

  * Merge from Debian testing.  Remaining changes:
    - debian/control, debian/rules: Split out tk_scsiformat into its own
      package so we dont pull in X server on the server.
    - add debian/patches/01_ubuntu-toolchain.diff, fix FTBFS caused by
      -D_FORTIFY_SOURCE=2 compiler flag enabled in Ubuntu.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 28 Jul 2016 15:54:58 +0200

scsitools (0.12-2.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Henriksson ]
  * Add debian/scsitools.links to create symlinks masking the
    scsitools.sh and scsitools-pre.sh init scripts under systemd.
    - these scripts are likely not useful at all on modern systems.
    (Closes: #796687)
  * Add dh_link command to debian/rules for the above.
  * Demote tk to a Suggests instead of Recommends to avoid pulling in
    X11 when installing these otherwise low-level tools.
    - the tools should already handle and give useful help/output
      when run and tk/wish is missing.
  * Drop util-linux versioned dependency as the version are already
    new enough since ages and util-linux is Essential: yes anyway.
  * Source /lib/lsb/init-functions in init scripts to allow
    LSB hooks to work correctly.
  * Add lsb-base dependency for the above.

  [ Daniel Kahn Gillmor ]
  * Make postinst less brittle by accepting failure to create /dev/scsi/
    (Closes: #686881)
    - Note that this attempt to create /dev/scsi isn't going to persist on
      modern systems with a tmpfs mounted on /dev, so whatever is relying on
      that directory being there is going to need some other way to deal after
      a reboot anyway.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 25 Jun 2016 19:13:32 +0200

scsitools (0.12-2.2ubuntu1) trusty; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - debian/control, debian/rules: Split out tk_scsiformat into its own
      package so we dont pull in X server on the server.
    - add debian/patches/01_ubuntu-toolchain.diff, fix FTBFS caused by
      -D_FORTIFY_SOURCE=2 compiler flag enabled in Ubuntu.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Mon, 28 Oct 2013 15:41:36 +0000

scsitools (0.12-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced tk8.4 by tk in dependencies to get rid of Tcl/Tk 8.4.
    (Closes: #725080)

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 28 Oct 2013 15:29:51 +0400

scsitools (0.12-2.1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - debian/control, debian/rules: Split out tk_scsiformat into its own
      package so we dont pull in X server on the server. (LP: #552622)
    - add debian/patches/01_ubuntu-toolchain.diff, fix FTBFS caused by
      -D_FORTIFY_SOURCE=2 compiler flag enabled in Ubuntu

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Tue, 10 Jan 2012 18:11:38 +0700

scsitools (0.12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "rescan-scsi-bus call nonexistent usleep command":
    new patch rescan-scsi-bus_sleep.patch, based on suggestion from Ubuntu /
    Daniel T Chen: replace usleep with sleep.
    (Closes: #624441)

 -- gregor herrmann <gregoa@debian.org>  Wed, 07 Dec 2011 17:25:32 +0100

scsitools (0.12-2ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - debian/control, debian/rules: Split out tk_scsiformat into its own
      package so we dont pull in X server on the server. (LP: #552622)
    - add debian/patches/01_ubuntu-toolchain.diff, fix FTBFS caused by
      -D_FORTIFY_SOURCE=2 compiler flag enabled in Ubuntu.
  * Refreshed debian/patches/01_ubuntu-toolchain.diff

 -- Adam Gandelman <adam.gandelman@canonical.com>  Fri, 20 May 2011 11:04:11 -0700

scsitools (0.12-2) unstable; urgency=low

  * Removed note displayed at install time (debconf abuse). Closes: #610233
  * (packaging source files are now hosted on Alioth).

 -- Eric Delaunay <delaunay@debian.org>  Wed, 19 Jan 2011 22:26:20 +0100

scsitools (0.12-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Updated rescan-scsi-bus.sh to 1.48. Closes: #559147
  * Removed .sh extension from rescan-scsi-bus. Closes: #601566
  * Now handling nostrip build option (policy 10.1). Closes: #438008
  * Get rid of some lintian warnings:
    - debian/templates description (malformed-title-in-templates).
    - scsitools.sh code cleanup (init.d-script-sourcing-without-test).

 -- Eric Delaunay <delaunay@debian.org>  Tue, 11 Jan 2011 23:09:16 +0100

scsitools (0.10-2.1ubuntu2) lucid; urgency=low

  * debian/control, debian/rules: Split out tk_scsiformat into its own package
    so we dont pull in X server on the server. (LP: #552622)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 31 Mar 2010 12:12:25 -0400

scsitools (0.10-2.1ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining Ubuntu changes:
    - add quilt support
    - add debian/patches/01_ubuntu-toolchain.diff, fix FTBFS caused by
      -D_FORTIFY_SOURCE=2 compiler flag enabled in Ubuntu.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Tue, 01 Dec 2009 21:59:24 +0100

scsitools (0.10-2.1) unstable; urgency=low

  * scsitools/scsiinfo: get rid of debugging message added by previous upload.
    Sorry.

 -- Eric Delaunay <delaunay@debian.org>  Sun, 01 Nov 2009 16:51:32 +0000

scsitools (0.10-2) unstable; urgency=low

  * rescan-scsi-bus.sh: fixed lots of errors when scanning host with no devices
    connected. Thanks to Andreas Beckmann for the patch. Closes: #502542
  * scsitools: scsiinfo -l now shows drives beyond sdz. Closes: #551962

 -- Eric Delaunay <delaunay@debian.org>  Sun, 01 Nov 2009 16:51:32 +0000

scsitools (0.10-1.2ubuntu1) jaunty; urgency=low

  * Add quilt support.
  * Add debian/patches/01_ubuntu-toolchain.diff, fix FTBFS caused by
    -D_FORTIFY_SOURCE=2 compiler flag enabled in Ubuntu.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 23 Feb 2009 11:27:17 +0100

scsitools (0.10-1.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Galician. Closes: #482134
    - Basque. Closes: #495039

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 Aug 2008 09:58:32 +0200

scsitools (0.10-1.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal issues.
  * Add LSB dependency header to init.d scripts (Closes: #458649)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Mar 2008 10:53:29 +0100

scsitools (0.10-1) unstable; urgency=low

  * Updated scsidev to 2.37 which supports sysfs filenames from linux kernel
    2.6.17+.
  * Updated rescan-scsi-bus.sh to 1.25 which better supports 2.6 kernels, 
    and allows REPORT_LUNS scan and optional LIP reset.
  * Fixed syntax error in rescan-scsi-bus.sh due to change in command line
    syntax of sg_inq (from sg3-utils). Closes: #430200.
  * Added missing dependency against sg3-utils (required by
    rescan-scsi-bus.sh).

 -- Eric Delaunay <delaunay@debian.org>  Tue, 24 Jul 2007 17:30:57 +0200

scsitools (0.9-1.1) unstable; urgency=low

  * Non-maintainer upload, with maintainer's agreement, to fix pending l10n issues.
  * Debconf translations:
    - Portuguese. Closes: #381711

 -- Christian Perrier <bubulle@debian.org>  Tue, 13 Feb 2007 07:22:11 +0100

scsitools (0.9-1) unstable; urgency=low

  * scsiformat, scsiinfo, sraw, scsi-spin: updated to use SG_IO to get rid of
    kernel warnings on latest 2.6.9+ kernels.
    Closes: #293964, #345779.
  * Put scsiinfo in /sbin instead of /usr/sbin as it can be useful at boot
    time. Improved it to detect more than 8 devices. Closes: #288052, #304777.
  * scsiformat: updated sanity checks before starting formating which does not
    work well with 2.6 kernels. Closes: #289154.
  * sraw: Added -v option.
  * scsi-spin: Added -vewIlL (verbose, load/eject, wait/immed, lock/unlock)
    options.
  * Removed references to scsistop in documentation as it is not provided for
    years and scsi-spin is doing better job. Closes: #288836.
  * Updated rescan-scsi-bus.sh to 1.18 (oct-2005). See manpage for new
    features. Closes: #290882, #316773.
  * Updated scsidev to 2.36.
  * Get rid of many gcc warnings about signedness of chars.
  * Fixed sentence in README.Debian. Closes: #316777.
  * Added translations for Vietnamese (courtesy of Clytie Siddall
    <clytie@riverland.net.au>). Closes: #317927.
  * Updated translations for German (courtesy of Daniel Knabl
    <daniel@tirolinux.net>), Swedish (courtesy of Daniel Nylander
    <yeager@lidkoping.net>). Closes: #333440, #338857.
  * Fixed typos in scsidev manpage. Closes: #357442.
  * Fixed typos in scsiformat manpage. Closes: #357443.
  * Fixed types in scsiinfo manpage. Closes: #357444.
  * Fixed spelling mistake in package's summary. Closes: #306651.

 -- Eric Delaunay <delaunay@debian.org>  Wed, 22 Mar 2006 13:28:27 +0100

scsitools (0.8-2) unstable; urgency=high

  * Don't unmount /proc if it is already mounted at the time scsitools-pre.sh
    is run, otherwise it lets a LVM system unbootable.  Thanks to Jörg Sommer
    <joerg@alea.gnuu.de> and Andrea Borgia <andrea@borgia.bo.it> who pointed
    out this problem. Closes: #285831.
  * Allow to use cdebconf as replacement to debconf. Closes: #332090.

 -- Eric Delaunay <delaunay@debian.org>  Mon, 17 Oct 2005 21:19:20 +0000

scsitools (0.8-1) unstable; urgency=low

  * Updated to scsidev 2.35.
  * Removed unneeded 'cat' statements from rescan-scsi-bus.sh script.
    Closes: #256390.
  * Added Czech template translations.  Closes: #275505.
  * Fixed lintian reports (converted Debian changelog to UTF8, added real
    package dependency to virtual package "wish", added changelog file for
    scsidev).

 -- Eric Delaunay <delaunay@debian.org>  Sun, 21 Nov 2004 19:27:00 +0100

scsitools (0.7-2) unstable; urgency=low

  * Fixed scsiformat bug.  Closes: #251426.
    Thanks to Erik Mouw <erik@harddisk-recovery.com> for providing a patch.
  * Fixed not detected removable devices in scsiinfo.  Closes: #255715.
  * Added italian template translations.  Closes: #251740.
  * Renamed ca_ES.po to ca.po as there is no need in specifying a country part
    for the Catalan language.  Closes: #255875.

 -- Eric Delaunay <delaunay@debian.org>  Fri, 25 Jun 2004 00:59:11 +0200

scsitools (0.7-1) unstable; urgency=low

  * Updated to scsidev 2.33.  Closes: #239662.
  * Added catalan template translations.  Closes: #236641.

 -- Eric Delaunay <delaunay@debian.org>  Sun,  4 Apr 2004 17:12:24 +0200

scsitools (0.6-1) unstable; urgency=low

  * Updated to scsidev 2.32.  Closes: #233754.

 -- Eric Delaunay <delaunay@debian.org>  Sat, 21 Feb 2004 19:33:19 +0100

scsitools (0.5-4) unstable; urgency=low

  * Updated Build-depends on tk8.4, as tk8.2 is no longer available.
    Closes: #228740.

 -- Eric Delaunay <delaunay@debian.org>  Tue, 20 Jan 2004 21:03:21 +0100

scsitools (0.5-3) unstable; urgency=low

  * Fixed compiler errors due to kernel includes (thanks to Daniel Schepler
    <schepler@math.berkeley.edu> for the patch).  Closes: #224877.

 -- Eric Delaunay <delaunay@debian.org>  Thu, 15 Jan 2004 00:46:58 +0100

scsitools (0.5-2) unstable; urgency=low

  * Added Japanese template translation.  Closes: #224186.

 -- Eric Delaunay <delaunay@debian.org>  Wed, 17 Dec 2003 00:48:38 +0100

scsitools (0.5-1) unstable; urgency=low

  * Updated to scsidev 2.31.  Closes: #216416.
    - provides compatibility with 2.6 kernel: Use sysfs to gather some
      information. Unfortunately, only block devs provide what we need,
      so far.
  * Fixed man pages installation.  Closes: #216415.
  * Marked init.d scripts as conffiles.
  * Added lintian overrides file to avoid Lintian reporting errors on TK
    script files disguised into shell scripts.

 -- Eric Delaunay <delaunay@debian.org>  Wed, 19 Nov 2003 00:11:46 +0100

scsitools (0.4-2) unstable; urgency=low

  * Fixed postinst (devfsd is still not supported). Closes: #205612.
  * Added dutch template.  Closes: #205169.

 -- Eric Delaunay <delaunay@debian.org>  Sun, 17 Aug 2003 18:23:18 +0200

scsitools (0.4-1) unstable; urgency=low

  * Updated to scsidev 2.29.
  * Fixed detection of devfs mounted filesystem at boot time.
  * New maintainer address.
  * Switched to po-debconf (thanks to Christian Perrier <bubulle@debian.org>
    for the patch).  Closes: #202547.
  * Added russian & spanish templates.  Closes: #136444, #136606.

 -- Eric Delaunay <delaunay@debian.org>  Fri,  1 Aug 2003 00:49:28 +0200

scsitools (0.3-2) unstable; urgency=low

  * Better way to detect devfs mounted filesystem (now works for me on potato
    running 2.4.18 kernel compiled with DEVFS enabled but not mounted).

 -- Eric Delaunay <delaunay@lix.polytechnique.fr>  Sun, 21 Apr 2002 23:51:27 +0200

scsitools (0.3-1) unstable; urgency=low

  * Uncompressed the man pages of scsiinfo package in .orig.tar.gz so that
    dpkg-source can handle the change in scsiformat.8.
  * Fixed documentation bug in scsiformat man page (I finally discovered the
    right groff sequence to write).  Closes: #31376.
  * Brazilian portuguese (pt_BR) debconf template translation. Closes: #108550.
  * Added Build-depends on debhelper. Closes: #105030.
  * many scsi-spin enhancements:
    - now send SCSI_IOCTL_{START,STOP}_UNIT therefore it supports sd, scd & sg
      device names. It is based on device major/minor number so it even works
      with scsidev or devfs device naming convention.
    - also supports short options (-u, -d, ...).
    - does not spin up/down when the device is in use (has mounted partitions)
      unless -f/--force is passed.
    - can use /proc/mounts instead of /etc/mtab to do the check of mounted
      partitions (-p/--proc option).
    - scanning for device in use is done on comparison of devices major/minor
      numbers and SCSI ID/LUN if the first method is not enoughly accurate.
    - compiled with GNU C compiler instead of C++ because it is really C code.
    - added man page.
    Closes: #102412.
  * Install sraw documentation.
  * Fixed rescan-scsi-bus.sh man page location.

 -- Eric Delaunay <delaunay@lix.polytechnique.fr>  Thu,  6 Sep 2001 23:08:30 +0200

scsitools (0.2-2) unstable; urgency=low

  * depends on util-linux >= 2.11b-3 to make use of blockdev instead of unknown
    freeramdisk.  Closes: #75217.

 -- Eric Delaunay <delaunay@lix.polytechnique.fr>  Wed, 13 Jun 2001 23:27:19 +0200

scsitools (0.2-1) unstable; urgency=low

  * updated to scsidev 2.22.  Closes: #79906.
  * run the init script before raid script at boot time.  Closes: #75219.
  * scsitools.sh: don't run swapoff when there is no swap entry in /etc/fstab.
    Closes: #75218.
  * Recommends wish instead of suggesting it (I don't want to depend on it
    because the package is still useful without scsi-config and tk-scsiformat).
    scsi-config and tk-scsiformat now suggest the user to install a tk package
    if no /usr/bin/wish found.
    Closes: #74550.
  * fixed compiler warnings in scsiformat.c, tworands.c and scsi-spin.C.
  * added German translations.  Thanks to Joerg Rieger
    <Joerg.Rieger@informatik.med.uni-giessen.de>.  Closes: #83928.
  * added Swedish translations.  Thanks to André Dahlqvist <anedah-9@sm.luth.se>.
    Closes: #83684.
  * Build-depends on tk8.2 to compile cleanly.

 -- Eric Delaunay <delaunay@lix.polytechnique.fr>  Mon, 12 Feb 2001 22:50:50 +0100

scsitools (0.1-3) unstable; urgency=low

  * fixed cosmetic bug in scsi-spin.
    Closes: #67181.

 -- Eric Delaunay <delaunay@lix.polytechnique.fr>  Mon, 17 Jul 2000 23:02:46 +0200

scsitools (0.1-2) unstable; urgency=low

  * scsi-spin moved to /sbin to allowing its use in /etc/init.d/halt.
    Closes: #66328.
  * Added boot time support for scsidev.
  * Fixed a bug when parsing hexadecimal numbers (0xnnn) in scsidev.
  * Fixed tcl/tk problems in tk_scsiformat (surely due to language
    improvements).  tk_scsiformat is hopefully running with tk8.2 but I can't
    try to go further and format my scsi disk ;-(  Feel free to report any new
    bug.  Closes: #23397.
  * Document how to create the hostid= parameter in /etc/scsi.alias in scsidev
    manpage.  Closes: #48305.
  * Added manpage for rescan-scsi-bus.sh.
  * Closing most bug reports after the upgrade to scsidev 2.10.
    - temp file is written to /dev/scsi instead of possibly unavailable /tmp.
      Closes: #49509.
    - display error msg if /etc/scsi.alias does not exists.
      Closes: #30554, #46622, #47340, #48306.

 -- Eric Delaunay <delaunay@lix.polytechnique.fr>  Sat,  8 Jul 2000 22:26:24 +0200

scsitools (0.1-1.1) unstable; urgency=low

  * Non-maintainer upload, to get it accepted it into the archive,
    sorry Eric :)
  * Fixed copyright file to include all authors and copyrights.
  * Worked around important problems on PowerPC due to signed chars by
    adding -fsigned-char to $CFLAGS.
  * Lowered debconf question priority to medium, and made it display the
    note only on new installs, not upgrades.
  * Updated rules file to match hwtools, removed some cruft. Added rcw's
    name to the short list of people who maintained hwtools on behalf of
    the quality assurance group.
  * Removed prerm, didn't contain anything useful.
  * Added rescan-scsi-bus.sh.1 to undocumented list.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Thu, 13 Apr 2000 19:35:06 +0200

scsitools (0.1-1) unstable; urgency=low

  * first release (fork of hwtools 0.5-0.2 that provides scsidev, scsifmt,
    scsiformat, scsiinfo, scsistop and sraw).
  * non-i386 aware.
  * updated to scsidev 2.10.  Closes: #46622, #47340, #48306, #30554.
  * added rescan-scsi-bus.sh.
  * using debconf for displaying a note.

 -- Eric Delaunay <delaunay@lix.polytechnique.fr>  Tue, 12 Apr 2000 21:07:00 +0200

